Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.processing.raster.converter
Class RawData2Image

    java.lang.Object
      org.deegree.processing.raster.converter.RawData2Image

    public class RawData2Image

extends Object

Offeres methods to wrap raw number data into a `BufferedImage`

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`RawData2Image()`

Method Summary
`static BufferedImage` | `rawData2Image(byte[][] data)`
`static BufferedImage` | `rawData2Image(float[][] data, boolean use32Bits)` Float data requires 4 Byte (32Bit) per data cell.
`static BufferedImage` | `rawData2Image(float[][] data, boolean use32Bits, ColorModel colorModel, SampleModel sampleModel)` Special version of the method which creates a new BufferedImage according to the models given.
`static BufferedImage` | `rawData2Image(float[][] data, boolean use32Bits, float scale, float offset)` Float data requires 4 Byte (32Bit) per data cell.
`static BufferedImage` | `rawData2Image(int[][] data)`
`static BufferedImage` | `rawData2Image(short[][] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawData2Image

    public RawData2Image()

Method Detail

### rawData2Image

    public static BufferedImage rawData2Image(byte[][] data)

  Parameters:
    `data` - data to wrap
  Returns:
    result will be a `BufferedImage` with a GRAY colorspace and `DataBuffer.TYPE_BYTE`

### rawData2Image

    public static BufferedImage rawData2Image(short[][] data)

  Parameters:
    `data` - data to wrap
  Returns:
    result will be a `BufferedImage` with a GRAY colorspace and `DataBuffer.TYPE_USHORT`

### rawData2Image

    public static BufferedImage rawData2Image(int[][] data)

  Parameters:
    `data` - data to wrap
  Returns:
    result will be a `BufferedImage` with a GRAY colorspace and `DataBuffer.TYPE_INT`

### rawData2Image

    public static BufferedImage rawData2Image(float[][] data,
                                              boolean use32Bits)

  Float data requires 4 Byte (32Bit) per data cell. It is common to reduce data depth by multiplying float values with 10 and map the rounded result to an unsigned short value (16Bit). This behavior can be controlled by the second parameter passed to this method. If set to `true` a image with 32Bit data depth and INT Databuffer will be created. Otherwise a 16Bit Image with an USHORT Databuffer will be created.
  A default scale of 10 and no offset will be used

  Parameters:
    `data` - data to wrap
    `use32Bits` -
  Returns:
    result will be a `BufferedImage` with a GRAY colorspace.

### rawData2Image

    public static BufferedImage rawData2Image(float[][] data,
                                              boolean use32Bits,
                                              float scale,
                                              float offset)

  Float data requires 4 Byte (32Bit) per data cell. It is common to reduce data depth by multiplying float values with 10 and map the rounded result to an unsigned short value (16Bit). This behavior can be controlled by the second parameter passed to this method. If set to `true` a image with 32Bit data depth and INT Databuffer will be created. Otherwise a 16Bit Image with an USHORT Databuffer will be created.

  Parameters:
    `data` -
    `use32Bits` -
    `scale` -
    `offset` -
  Returns:
    result will be a `BufferedImage` with a GRAY colorspace.

### rawData2Image

    public static BufferedImage rawData2Image(float[][] data,
                                              boolean use32Bits,
                                              ColorModel colorModel,
                                              SampleModel sampleModel)

  Special version of the method which creates a new BufferedImage according to the models given.

  Parameters:
    `data` - data to wrap
    `use32Bits` -
    `colorModel` -
    `sampleModel` -
  Returns:
    result will be a `BufferedImage` with the given color model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org